Recent

Author Topic: LAMW 0.8.6.3  (Read 2507 times)

jmpessoa

  • Hero Member
  • *****
  • Posts: 2296
LAMW 0.8.6.3
« on: December 09, 2023, 06:32:05 am »
Hi, All!

LAMW 0.8.6.3  initial commit  is out there!

https://github.com/jmpessoa/lazandroidmodulewizard


* About Java and Gradle  support:
     Java JDK 1.8 need Gradle version <=  6.7
     Java 11 need Gradle version >=  6.7.1                    [edited: added support to Gradle 8.x ]
     

* About Java and Ant support:
      Ant need java JDK 1.8 and Android SDK r25.2.5

Have fun!

Thanks to All!

PS. As soon as possible I will update the "readme.md"...
« Last Edit: December 10, 2023, 11:15:43 pm by jmpessoa »
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

Insid3Code

  • New Member
  • *
  • Posts: 26
  • Code Immersion
Re: LAMW 0.8.6.3
« Reply #1 on: December 09, 2023, 12:42:05 pm »
Hi,
Thank you for the update :)

there is an issue when reloading existing projects:
build.gradle:
Code: Pascal  [Select][+][-]
  1.     splits {
  2.         abi {
  3.             enable true
  4.             reset()
  5.             include ''armeabi-v7a''
  6.             universalApk false
  7.         }
  8.  
''armeabi-v7a''

also, I loose my custom config when I reload my existing projects.

Mongkey

  • Sr. Member
  • ****
  • Posts: 430
Re: LAMW 0.8.6.3
« Reply #2 on: December 09, 2023, 12:56:41 pm »
Hi,
Thank you for the update :)

there is an issue when reloading existing projects:
build.gradle:
Code: Pascal  [Select][+][-]
  1.     splits {
  2.         abi {
  3.             enable true
  4.             reset()
  5.             include ''armeabi-v7a''
  6.             universalApk false
  7.         }
  8.  
''armeabi-v7a''

also, I loose my custom config when I reload my existing projects.

just simple solution, open project option, set your target API just like before, it is pointing on 33.

Seems, after clean up or build package, it sets on 33 automatically on this release.
It is better if we could determine, whether it auto config or manually config

Thank you
« Last Edit: December 09, 2023, 01:04:25 pm by Mongkey »

Insid3Code

  • New Member
  • *
  • Posts: 26
  • Code Immersion
Re: LAMW 0.8.6.3
« Reply #3 on: December 09, 2023, 01:56:30 pm »
Quote
It is better if we could determine, whether it auto config or manually config
IMHO! I'm not need any default config (that overwrite my modifications) when I reload my already configured (modified) projects...
the better way is:
1- Default config when create new project.
2- No modification when reloading project.

Also, in "res" folder LAMW add "mipmap" folders:
- When create new project (default)
- But I need when I remove any "mipmap" from my "res"  and reload my existent project,  LAMW don’t add it automatically.

Best Regards.

jmpessoa

  • Hero Member
  • *****
  • Posts: 2296
Re: LAMW 0.8.6.3
« Reply #4 on: December 09, 2023, 04:47:28 pm »


I will try fix this issues....  and improve about reloading existing projects...


Thanks to All!
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

jmpessoa

  • Hero Member
  • *****
  • Posts: 2296
Re: LAMW 0.8.6.3
« Reply #5 on: December 09, 2023, 05:10:22 pm »
Hi, Insid3Code!
Hi, Mongkey!


Please,  send me yours  "smartdesigner.pas"!

Until there I just rollback  "smartdesigner.pas"


Thanks to All!
« Last Edit: December 09, 2023, 05:40:28 pm by jmpessoa »
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

jmpessoa

  • Hero Member
  • *****
  • Posts: 2296
Re: LAMW 0.8.6.3
« Reply #6 on: December 09, 2023, 10:48:26 pm »

Fixed!

Quote
1- Default config when create new project.
2- No modification when reloading project.

OK.

Quote
It is better if we could determine, whether it auto config or manually config...

Done!

Thanks to All!
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

Insid3Code

  • New Member
  • *
  • Posts: 26
  • Code Immersion
Re: LAMW 0.8.6.3
« Reply #7 on: December 10, 2023, 01:38:17 am »
Quote
Fixed!
Thank you!

I cloned a clean package for testing purpose...
as I see you have dropped "gdx" from the package.
When I build android_bridges/tfpandroidbridge_pack.lpk
Laz_And_Controls_Events.pas search gdxform.pas also Laz_And_Controls_Events.pas contains several procedures need to be removed...
Code: Pascal  [Select][+][-]
  1.    procedure Java_Event_pOnGDXFormShow(env:PJNIEnv;this:JObject;Sender:TObject);
  2.    procedure Java_Event_pOnGDXFormResize(env:PJNIEnv;this:JObject;Sender:TObject;width:integer;height:integer);
  3.    procedure Java_Event_pOnGDXFormRender(env:PJNIEnv;this:JObject;Sender:TObject;deltaTime:single);
  4.    procedure Java_Event_pOnGDXFormClose(env:PJNIEnv;this:JObject;Sender:TObject);
  5.    procedure Java_Event_pOnGDXFormTouchDown(env:PJNIEnv;this:JObject;Sender:TObject;screenX:integer;screenY:integer;pointer:integer;button:integer);
  6.    procedure Java_Event_pOnGDXFormTouchUp(env:PJNIEnv;this:JObject;Sender:TObject;screenX:integer;screenY:integer;pointer:integer;button:integer);
  7.    function Java_Event_pOnGDXFormKeyPressed(env:PJNIEnv;this:JObject;Sender:TObject;keyCode:integer):integer;
  8.    procedure Java_Event_pOnGDXFormResume(env:PJNIEnv;this:JObject;Sender:TObject);
  9.    procedure Java_Event_pOnGDXFormPause(env:PJNIEnv;this:JObject;Sender:TObject);
  10.    procedure Java_Event_pOnGDXFormHide(env:PJNIEnv;this:JObject;Sender:TObject);
  11.  

After successfully build and testing...
Projects creation and reloading works fine.

Best Regards.

jmpessoa

  • Hero Member
  • *****
  • Posts: 2296
Re: LAMW 0.8.6.3
« Reply #8 on: December 10, 2023, 04:20:59 am »
Quote
Laz_And_Controls_Events.pas contains several procedures need to be removed...

Done!


LAMW 0.8.6.3 fixed and Improved  [added support to Gradle 8.x]!

Thanks to All!
« Last Edit: December 10, 2023, 11:17:48 pm by jmpessoa »
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

WayneSherman

  • Full Member
  • ***
  • Posts: 243
Re: LAMW 0.8.6.3
« Reply #9 on: December 11, 2023, 01:54:27 am »
Done!
LAMW 0.8.6.3 fixed and Improved  [added support to Gradle 8.x]!
Thanks to All!

Thank you for your hard work on these recent improvements! :-)
« Last Edit: December 11, 2023, 01:58:39 am by WayneSherman »

Insid3Code

  • New Member
  • *
  • Posts: 26
  • Code Immersion
Re: LAMW 0.8.6.3
« Reply #10 on: December 11, 2023, 12:37:02 pm »
HI,
Great! Thanks!
I successfully tested Gradle 8.5 (Latest) and microsoft-jdk-17.0.9-windows-x64 LTS with real projects.

Regarding "Improved mipmap directories create " it works, but it will be more flexible if the user's choice can be stored like what you have already done " <Item1 Name="KeepMyBuildGradleWhenReopen" Value="YES"/>"

Best Regards.

jmpessoa

  • Hero Member
  • *****
  • Posts: 2296
Re: LAMW 0.8.6.3
« Reply #11 on: December 11, 2023, 06:24:46 pm »
Quote
I successfully tested Gradle 8.5 (Latest) and microsoft-jdk-17.0.9-windows-x64 LTS with real projects.

Nice! (and now documented  hacking!) 

LAMW 0.8.6.4 will add full support to JDK 17! it is coming!

Maybe, you can help:
What max android SDK version for JDK 11?
What min android SDK version for JDK 17?
 
Quote
Regarding "Improved mipmap directories create " it works, but it will be more flexible if the user's choice can be stored

Done!
« Last Edit: December 11, 2023, 06:29:57 pm by jmpessoa »
Lamw: Lazarus Android Module Wizard
https://github.com/jmpessoa/lazandroidmodulewizard

WayneSherman

  • Full Member
  • ***
  • Posts: 243
Re: LAMW 0.8.6.3
« Reply #12 on: December 11, 2023, 07:06:44 pm »
What max android SDK version for JDK 11?
What min android SDK version for JDK 17?

https://developer.android.com/build/jdks

Quote
Use this table to determine which Java version is supported by each Android API, and where to find details on which Java APIs are available.
Android         Java   API and language features supported
14 (API 34)    17    Core libraries
13 (API 33)    11    Core libraries
12 (API 32)    11    Java API
11 and lower       Android versions

There is some discussion here:
https://stackoverflow.com/questions/54129834/which-android-versions-run-which-java-versions

I don't know if this works but a comment from that discussion claims the existence of prebuild branches can be used to determine which Android versions are supported:

The Android git repo for jdk11 prebuilds has branches for Android 10,11,12,13,14
https://android.googlesource.com/platform/prebuilts/jdk/jdk11/+refs

The Android git repo for jdk17 prebuilds has branches for Android 13,14
https://android.googlesource.com/platform/prebuilts/jdk/jdk17/+refs
« Last Edit: December 12, 2023, 02:10:52 am by WayneSherman »

Insid3Code

  • New Member
  • *
  • Posts: 26
  • Code Immersion
Re: LAMW 0.8.6.3
« Reply #13 on: December 12, 2023, 04:58:37 am »
Hi,
According to this:
https://gradle.org/release-nightly/

(Nightly build) Gradle Release Notes:
Quote
The Gradle team is excited to announce Gradle 8.5-20231129110721+0000.
Gradle now supports running on Java 21.

Full Java 21 support
Gradle 8.4 supported compiling and testing with Java 21 using Java toolchains, but running Gradle itself on Java 21 was not yet supported.
With this release, Gradle now fully supports compiling, testing and running on Java 21.

so I downloaded:
microsoft-jdk-21.0.1-windows-x64 LTS

then I set "classpath" to gradle:8.2.0 (Plugin)
classpath 'com.android.tools.build:gradle:8.2.0':
buildscript {
    repositories {
        mavenCentral()
        google()
    }
    dependencies {
        classpath 'com.android.tools.build:gradle:8.2.0'
    }
}

and gradle path to "Gradle 8.5-20231129110721+0000" (renamed to Gradle-8.x)

I got this error on build process:
Namespace not specified. Specify a namespace in the module's build file.

fixed like this:
android {
   namespace "org.lamw.applamwproject1"
    lintOptions {
       abortOnError false
    }

   
Successfully tested with my real projects.

Best Regards.

Mongkey

  • Sr. Member
  • ****
  • Posts: 430
Re: LAMW 0.8.6.3
« Reply #14 on: December 20, 2023, 03:45:13 am »
I got error on every change project properties for the last update.
keeping sdk 21 all the time. its better the previous before.

commented
 
Code: Pascal  [Select][+][-]
  1.  if iSdkTargetApi < 33 then  ... UpdateBuildModes();

worked again.

Thank you
« Last Edit: December 20, 2023, 04:35:42 am by Mongkey »

 

TinyPortal © 2005-2018